import { ISemver } from '../semver';
import { IBrowser } from '../browsers';
export declare enum BrowserRegExpSourceProp {
    RegExp = 0,
    Family = 1,
    Major = 2,
    Minor = 3,
    Patch = 4
}
export interface IBrowserRegExpSource {
    [BrowserRegExpSourceProp.RegExp]: RegExp;
    [BrowserRegExpSourceProp.Family]: string;
    [BrowserRegExpSourceProp.Major]: number | string;
    [BrowserRegExpSourceProp.Minor]: number | string;
    [BrowserRegExpSourceProp.Patch]: number | string;
}
export interface IFixedFamily {
    family: string;
    regExp?: RegExp;
}
export interface IBrowserRegExp extends IBrowser {
    regExp: RegExp;
    version: ISemver | null;
}
export interface IBrowserVersionRegExp {
    family: string;
    regExp: RegExp;
    requestVersions: ISemver[];
    resultVersion: ISemver | null;
}
export interface IBrowserVersionedRegExp extends IBrowserVersionRegExp {
    sourceRegExp: RegExp;
    sourceRegExpString: string;
    regExpString: string;
    requestVersionsStrings: string[];
}
//# sourceMappingURL=types.d.ts.map